Get a single attribute

Retrieves a specific attribute by its ID for a given application ID.

GET/api/v1/{app_id}/attributes/{attribute_id}
API
Auth
OpenAPI
auth-api
Updated
Apr 26, 2026

auth-api:GET:/api/v1/{app_id}/attributes/{attribute_id}

Retrieves a specific attribute by its ID for a given application ID.

API ownership

  • API family: Auth API
  • Best for: Customer identity, session, token, cart, and wishlist flows.
  • Do not use from: Merchant admin data syncs or public catalog rendering.
  • Guide route: /apis/auth/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: GET
  • Path: /api/v1/\{app_id\}/attributes/\{attribute_id\}
  • Summary: Get a single attribute
  • Description: Retrieves a specific attribute by its ID for a given application ID.
  • OpenAPI contract: auth-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters2 parameters
NameInRequiredTypeDescription
app_idpathYesstringApplication ID
attribute_idpathYesstringAttribute ID
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses4 statuses
StatusDescriptionContent
200The requested attributeapplication/json (object)
400Invalid request parametersapplication/json (object)
404Attribute not foundapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Attribute

PropertyTypeRequiredDetails
descriptionstringNo-
idstringNo-
keystringNo-
namestringNo-
template_keystringNo-
translationsobjectNo-
valuesobjectNo-
Attribute Translations
PropertyTypeRequiredDetails
descriptionobjectNo-
nameobjectNo-

Generated example (synthetic):

{
  "description": "string",
  "id": "string",
  "key": "string",
  "name": "string",
  "template_key": "string",
  "translations": {
    "description": {},
    "name": {}
  },
  "values": {}
}

400 - object

HTTP Error

PropertyTypeRequiredDetails
codeenum(201, 403, 401, 500, 404, 400, 409)No-
detailsstring[]No-
extra_fieldsobjectNo-
messagestringNo-

Generated example (synthetic):

{
  "code": 201,
  "details": [
    "string"
  ],
  "extra_fields": {},
  "message": "string"
}

404 - object

HTTP Error

PropertyTypeRequiredDetails
codeenum(201, 403, 401, 500, 404, 400, 409)No-
detailsstring[]No-
extra_fieldsobjectNo-
messagestringNo-

Generated example (synthetic):

{
  "code": 201,
  "details": [
    "string"
  ],
  "extra_fields": {},
  "message": "string"
}

500 - object

HTTP Error

PropertyTypeRequiredDetails
codeenum(201, 403, 401, 500, 404, 400, 409)No-
detailsstring[]No-
extra_fieldsobjectNo-
messagestringNo-

Generated example (synthetic):

{
  "code": 201,
  "details": [
    "string"
  ],
  "extra_fields": {},
  "message": "string"
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Auth API
  • Method: GET
  • Path: /api/v1/\{app_id\}/attributes/\{attribute_id\}
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Attributes
  • OpenAPI summary: Get a single attribute

Get a single attribute

# Get a single attribute Retrieves a specific attribute by its ID for a given application ID.
GET /api/v1/{app_id}/attributes/{attribute_id}
Purpose

Retrieves a specific attribute by its ID for a given application ID.

Required inputs

app_id path attribute_id path

Primary response

200 ยท The requested attribute

Operation key

auth-api:GET:/api/v1/{app_id}/attributes/{attribute_id}

## API ownership - API family: Auth API - Best for: Customer identity, session, token, cart, and wishlist flows. - Do not use from: Merchant admin data syncs or public catalog rendering. - Guide route: [/apis/auth/latest](/apis/auth/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `GET` - Path: `/api/v1/{app_id}/attributes/{attribute_id}` - Summary: Get a single attribute - Description: Retrieves a specific attribute by its ID for a given application ID. - OpenAPI contract: auth-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:GET:/api/v1/{app_id}/attributes/{attribute_id}` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | Application ID | | attribute_id | path | Yes | string | Attribute ID | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | The requested attribute | application/json (object) | | 400 | Invalid request parameters | application/json (object) | | 404 | Attribute not found | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Attribute | Property | Type | Required | Details | | --- | --- | --- | --- | | `description` | string | No | - | | `id` | string | No | - | | `key` | string | No | - | | `name` | string | No | - | | `template_key` | string | No | - | | `translations` | object | No | - | | `values` | object | No | - | ##### Attribute Translations | Property | Type | Required | Details | | --- | --- | --- | --- | | `description` | object | No | - | | `name` | object | No | - | **Generated example (synthetic):** ```json { "description": "string", "id": "string", "key": "string", "name": "string", "template_key": "string", "translations": { "description": {}, "name": {} }, "values": {} } ``` ### 400 - object #### HTTP Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `code` | enum(201, 403, 401, 500, 404, 400, 409) | No | - | | `details` | string[] | No | - | | `extra_fields` | object | No | - | | `message` | string | No | - | **Generated example (synthetic):** ```json { "code": 201, "details": [ "string" ], "extra_fields": {}, "message": "string" } ``` ### 404 - object #### HTTP Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `code` | enum(201, 403, 401, 500, 404, 400, 409) | No | - | | `details` | string[] | No | - | | `extra_fields` | object | No | - | | `message` | string | No | - | **Generated example (synthetic):** ```json { "code": 201, "details": [ "string" ], "extra_fields": {}, "message": "string" } ``` ### 500 - object #### HTTP Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `code` | enum(201, 403, 401, 500, 404, 400, 409) | No | - | | `details` | string[] | No | - | | `extra_fields` | object | No | - | | `message` | string | No | - | **Generated example (synthetic):** ```json { "code": 201, "details": [ "string" ], "extra_fields": {}, "message": "string" } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Auth API - Method: `GET` - Path: `/api/v1/{app_id}/attributes/{attribute_id}` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:GET:/api/v1/{app_id}/attributes/{attribute_id}` - OpenAPI tag: Attributes - OpenAPI summary: Get a single attribute